Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.metaclass
[Java] Class AbstractDynamicConstructor

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicConstructor

All Implemented Interfaces:
  DynamicConstructor

    @java.lang.Deprecated
    public abstract class AbstractDynamicConstructor
    extends java.lang.Object

Abstract class that provides default implementation for isArgumentsMatch.

deprecated:
  Use ExpandoMetaClass instead

Authors:
  Graeme Rocher

Since:
  0.2

Constructor Summary
`AbstractDynamicConstructor(java.lang.Class[] argumentTypes)` Takes an array of types required to match this constructor.

Method Summary
`boolean` | `isArgumentsMatch(java.lang.Object[] args)` @return true if the arguments types match those specified in the constructor

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### AbstractDynamicConstructor

    public AbstractDynamicConstructor(java.lang.Class[] argumentTypes)

  Takes an array of types required to match this constructor.
  Parameters:
    `argumentTypes` - The argument types

Method Detail

### isArgumentsMatch

    public boolean isArgumentsMatch(java.lang.Object[] args)

  Returns:
    true if the arguments types match those specified in the constructor

Groovy Documentation